Package org.snpeff.pdb

# Class IdMapper

java.lang.Object
org.snpeff.pdb.IdMapper

public class IdMapper extends Object
Map protein ID to transcript ID and vice versa

## Constructor Summary

Constructors
Constructor
Description
`IdMapper()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IdMapperEntry ime)`
`void`
`addAll(Collection<IdMapperEntry> imes)`
`List<IdMapperEntry>`
`getByPdbId(String id)`
`List<IdMapperEntry>`
`getByPdbId(String id, String chainId)`
`List<IdMapperEntry>`
`getByTrId(String id)`
`Collection<IdMapperEntry>`
`getEntries()`
`void`
`load(String fileName)`
`void`
`setVerbose(boolean verbose)`
`String`
`toString()`
`static String`
`transcriptIdNoVersion(String trId)`
Remove version form transcript ID
`static Set<String>`
`transcriptIds(List<IdMapperEntry> ids)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IdMapper

public IdMapper()

## Method Details

### transcriptIdNoVersion

public static String transcriptIdNoVersion(String trId)
Remove version form transcript ID

### transcriptIds

public static Set<String> transcriptIds(List<IdMapperEntry> ids)

### add

public void add(IdMapperEntry ime)

### addAll

public void addAll(Collection<IdMapperEntry> imes)

### getByPdbId

public List<IdMapperEntry> getByPdbId(String id)

### getByPdbId

public List<IdMapperEntry> getByPdbId(String id, String chainId)

### getByTrId

public List<IdMapperEntry> getByTrId(String id)

### getEntries

public Collection<IdMapperEntry> getEntries()

### load

public void load(String fileName)

### setVerbose

public void setVerbose(boolean verbose)

### toString

public String toString()

Overrides:
  `toString` in class `Object`